.show-calendart{
	padding:10px;
	border-bottom: 1px solid rgb(231,231,231);
	font-size:.80rem;
	margin-bottom:10px;
	width:100%;
	float:left;
	font-weight: 600;
}
.ecalendar *:not(.fas):not(.las):not(.la) {
	font-family: Ubermove, Inter, Poppins, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
.ecalendar h3 {
    font-size: 13px;
}
.show-calendart.tw{
	margin-bottom:0px;
	margin-top:10px;
}
.calyear,.show-calendart,.ecal-year,.ecal-month{
	cursor:pointer;
}
.ecalendar{
	width:100%;
	height:100%;
	position:fixed;
	background-color:rgba(255,255,255,0.5);
	z-index:99;
	top:0;
	left:0;
	overflow:auto;
	display:none;
}
.ecalendar > div.ecalendar-calendar{
	display:flex;
	display:-webkit-flex;
	align-items:center;
	background-color:transparent;
	width:100%;
	height:100%;
}

.ecalendar > div.ecalendar-calendar > div{
	margin:auto;
	width:300px;
	padding:0%;
	background-color:#fff;
	box-shadow: rgba(0, 0, 0, 0.14) 0px 24px 38px 3px, rgba(0, 0, 0, 0.12) 0px 9px 46px 8px, rgba(0, 0, 0, 0.2) 0px 11px 15px -7px;
	-webkit-box-shadow: rgba(0, 0, 0, 0.14) 0px 24px 38px 3px, rgba(0, 0, 0, 0.12) 0px 9px 46px 8px, rgba(0, 0, 0, 0.2) 0px 11px 15px -7px;
	border-radius:2px;
	overflow:hidden;
	margin-top:1%;
	margin-bottom:1%;
}
.ecalendar > div.ecalendar-calendar > div > div{
	padding: 10px;
	width:100%;
}
.ecalendar > div.ecalendar-calendar > div > div:first-child{
	display:table;
	background-color: #eee;
    color: #000;
	width:101%;
	padding: 5px 10px;
}
.ecalendar > div.ecalendar-calendar > div > div:first-child > div{
	display:table-cell;
	padding: 5px;
	vertical-align:middle;
}
.ecalendar > div.ecalendar-calendar > div > div:first-child > div:first-child{
	width:calc(100% - 100px);
}
.ecalendar > div.ecalendar-calendar > div > div:first-child > div:nth-child(2){
	width: 100px;
	min-width: 100px;
	text-align:center;
	font-size: 20px;
	cursor:pointer;
	white-space: nowrap;
}
.clear-selected-date-btn{
	font-size: 13px;
    display: inline-block;
    white-space: nowrap;
    font-weight: 500;
}
.ecalendar > div.ecalendar-calendar > div > div:first-child > div:nth-child(2) i{
	color: #000;
	vertical-align: middle;
    margin-top: 3.5px;
}
.ecalendar > div.ecalendar-calendar > div > div:nth-child(2){
	border-top:1px solid #f7f7f7;
	padding-bottom: 120px;
}
.ecalcnt > div{
	width:100%;
	position:relative;
}
.ecalcnt > div:first-child,.ecalcnt > div:nth-child(2){
	display:table;
	background-color:#f7f7f7;
	padding: 5px;
}
.ecalcnt > div:first-child > div,.ecalcnt > div:nth-child(2) > div{
	display:table-cell;
	vertical-align:middle;
	padding:1%;
	text-align:center;
}
.ecalcnt > div:first-child > div:first-child,.ecalcnt > div:first-child > div:nth-child(3),.ecalcnt > div:nth-child(2) > div:first-child,.ecalcnt > div:nth-child(2) > div:nth-child(2){
	width:10%;
	cursor:pointer;
}
.ecalcnt > div:first-child > div:first-child h5,.ecalcnt > div:first-child > div:nth-child(3) h5,.ecalcnt > div:nth-child(2) > div:first-child h5,.ecalcnt > div:nth-child(2) > div:nth-child(3) h5{
	font-weight:600;
	padding:3px;
	border-radius:3px;
	font-size: 10px;
	cursor:pointer;
}
.ecalcnt > div:first-child > div:nth-child(2),.ecalcnt > div:nth-child(2) > div:nth-child(2){
	width:80%;
}
.ecalcnt > div:nth-child(3){
	white-space:nowrap;
	border-bottom:1px solid rgb(231,231,231);
	margin-bottom: 10px;
}
.ecalcnt > div:nth-child(3) > div{
	width:14.28%;
	text-align:center;
	padding:5px;
	float:left;
	font-size:80%;
	font-weight:800;
	color:grey;
}
.ecalendar-table{
	margin-top:0.25%;
	height:180px;
}
.ecalendar-table > div{
	width:100%;
	position:relative;
}
h3.caldet {
    font-size: 14px;
}
.caldet,.calyear{
	color:#6e6e7e;
}
.ecal-years,.ecal-months{
	height:278px;
	overflow:auto;
	display:none;
}
.ecal-year,.ecal-month{
	width: 20%;
    float: left;
    padding: 10px;
    font-size: 12px;
    font-weight: 600;
    color: #6e6e7e;
	padding-bottom:20px;
}
.ecal-month{
	width:33%;
}
/* .ecalendar-table > div > div{
	width:14.28%;
	padding:5px;
	float:left;
	font-weight:500;
	color:#6e6e7e;
	font-size:14px;
	transition:all 0.1s 0.1s ease-in-out;
	-webkit-transition:all 0.1s 0.1s ease-in-out;
	cursor:pointer;
	text-align:center;
	border-radius: 3px;
} */
.ecalendar-table > div > div {
    width: 40px;
    display: -webkit-flex;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    border-radius: 50%;
    /* width: 40px; */
    float: left;
    font-weight: 500;
    color: #6e6e7e;
    font-size: 14px;
    transition: all 0.1s 0.1s ease-in-out;
    -webkit-transition: all 0.1s 0.1s ease-in-out;
    cursor: pointer;
    text-align: center;
    /* border-radius: 3px; */
}
.ecalendar-table > div > div.active, 
.ecalendar-table > div > div.todays-date{
	color:#fff;
	background-color:#6e6e7e;
	border-color:#6e6e7e;
}
.ecalendar-table > div > div.active-date{
	color:#fff;
	background-color:#000;
	border-color:#000;
}
.calendar-closer{
	color: #000 !important;
}
h5.year-next {
    margin-right: 1px;
}
.ecalendar.disable-past-date .cal-past-date {
	pointer-events: none !important;
	color: #ccc !important;
}
.ecalcnt > div:nth-child(2) .fas {
    font-size: 1rem;
}
.ecalcnt > div:nth-child(2) {
    background: #fff;
}
@media screen and (min-width: 900px){
	.caldet:hover,.calyear:hover{
		color:#484848;
	}
	.ecal-year:hover,.ecal-month:hover{
		color:#484848;
	}
	.ecalendar-table > div > div:not(.empty):hover{
		background-color:#333;
		border-color:#333;
		color:#fff;
	}
	/* .ecalendar > div.ecalendar-calendar > div {
		width: 300px;
	} */
}
@media screen and (max-height: 400px){
	.ecalendar > div.ecalendar-calendar {
		align-items: flex-start;
	}
	.ecalendar > div.ecalendar-calendar > div {
		margin: 50px auto;
	}
}